Bug 104933 - EDITING: Find and replace does not apply formulas when replacing blank cells
Summary: EDITING: Find and replace does not apply formulas when replacing blank cells
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
3.3.0 release
Hardware: All All
: medium minor
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Find-Search
  Show dependency treegraph
 
Reported: 2016-12-26 17:49 UTC by Santiago Tórtora
Modified: 2022-09-28 12:02 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Santiago Tórtora 2016-12-26 17:49:32 UTC
Description:
When I use Find & Replace to replace the contents of a cell with a formula, the matching cells are replaced with the results of that formula, as expected. However when I use Find & Replace to replace some empty cells, instead of the result of the formula the blank cells are replaced with the formula as if it were text.

Steps to Reproduce:
1. Write some text in some cells, leave some empty
2. Select a range of cells that include some empty cells
3. From the Edit menu, open the Find & Replace tool.
4. Leave the "Search For" field empty and put a simple formula in the "Replace With" field (for example =SUM(1,2))
5. Try the same thing but this time copy the value of a non-empty cell and paste that in the "Search For" field.

Actual Results:  
The empty cells were replaced with cells containing the literal text =SUM(1,2)

Expected Results:
The empty cells should contain the result of =SUM(1,2), that is, the number 3.


Reproducible: Always

User Profile Reset: No

Additional Info:
As a workaround, manually entering the formulas instead of using find & replace works. However it is tedious and impractical on large spreadsheets.


User-Agent: Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:50.0) Gecko/20100101 Firefox/50.0
Comment 1 m.a.riosv 2016-12-26 21:27:29 UTC
Repro.
Version: 5.2.4.1 (x64)
Build ID: 9b50003582f07ac674d6451e411e9b77cccd2b22
CPU Threads: 4; OS Version: Windows 6.19; UI Render: default; 
Locale: es-ES (es_ES); Calc: group
Version: 5.4.0.0.alpha0+
Build ID: 7a1add76d542e9929c1feab9e06949990e236616
CPU Threads: 4; OS Version: Windows 6.19; UI Render: default; 
TinderBox: Win-x86@39, Branch:master, Time: 2016-12-22_23:56:14
Locale: es-ES (es_ES); Calc: CL
Comment 2 QA Administrators 2017-12-27 03:25:23 UTC Comment hidden (obsolete)
Comment 3 Santiago Tórtora 2017-12-27 13:25:18 UTC Comment hidden (obsolete)
Comment 4 Timur 2017-12-27 16:46:42 UTC
In OO it's not possible to replace empty cells, so started with LO 3.3.
Repro with 6.1+ master.
Comment 5 QA Administrators 2018-12-28 03:46:40 UTC Comment hidden (obsolete)
Comment 6 Xavier Van Wijmeersch 2018-12-28 17:54:50 UTC
still repro

Version: 6.2.0.1.0+
Build ID: e0de69e4006082d73c202308733824410d5fa02e
CPU threads: 2; OS: Linux 4.19; UI render: default; VCL: gtk2; 
Locale: nl-BE (en_US.UTF-8); UI-Language: en-US
Calc: threaded
Comment 7 QA Administrators 2022-09-28 03:32:37 UTC
Dear Santiago Tórtora,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from https://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://web.libera.chat/?settings=#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug